import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderUserIdParentIdNameCompoundUniqueInputObjectSchema as CloudFolderUserIdParentIdNameCompoundUniqueInputObjectSchema } from './CloudFolderUserIdParentIdNameCompoundUniqueInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId_parentId_name: z.lazy(() => CloudFolderUserIdParentIdNameCompoundUniqueInputObjectSchema).optional()
}).strict();
export const CloudFolderWhereUniqueInputObjectSchema: z.ZodType<Prisma.CloudFolderWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderWhereUniqueInput>;
export const CloudFolderWhereUniqueInputObjectZodSchema = makeSchema();
